Loading...
Searching...
No Matches
tonegen.h File Reference
Public API functions

Voicetronix programmable tone generator API. More...

`#include <vector>`
`#include <string>`
`#include <stdint.h>`
`#include <pthread.h>`
Include dependency graph for tonegen.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | ToneGen
| Base type for the programmable tone generator interface. More...
class | ToneGen::Config
| `ToneGen` configuration data structure. More...
struct | ToneGen::Config::Freq
| Data storage for a `ToneGen` frequency component. More...
struct | ToneGen::Config::Cadence
| Data storage for a `ToneGen` cadence component. More...
class | ToneGen::Exception
| `ToneGen` runtime exception type More...
class | HostToneGen
| Host based tone generator implementation. More...

## Macros

#define | VERBOSE_MUTEX 0
| Set this to `1` for verbose logging of mutex operations.
#define | VERBOSE_MUTEX_LOCAL_ONLY 1
| Set this to `1` to confine the action of `VERBOSE_MUTEX` to this file.

## Detailed Description

Voicetronix programmable tone generator API.

This file contains the Voicetronix tone generator interface.